"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _timeProvider = require("../time-provider");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var TimeTick = function TimeTick(_ref) {
  var time = _ref.time;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "time-track__head-item"
  }, time);
};

var useCurrentTime = function useCurrentTime(calcPosition) {
  var _React$useState = _react.default.useState(null),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      position = _React$useState2[0],
      setPosition = _React$useState2[1];

  var updateTime = function updateTime() {
    var date = new Date();
    var pos = calcPosition({
      isoDate: date.toISOString()
    });
    setPosition(pos);
  };

  _react.default.useEffect(function () {
    (0, _timeProvider.generateTimeEvents)({
      cb: updateTime
    });
  }, []);

  return position;
};

function TracksHead(_ref2) {
  var timeTicks = _ref2.timeTicks,
      calcPosition = _ref2.calcPosition;
  var position = useCurrentTime(calcPosition);
  var timeline = timeTicks.map(function (t) {
    return t.time;
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "time-track__current-time-track",
    id: "js-current-time-track",
    style: {
      left: position + 26
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    id: "js-current-time"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "time-track__head",
    id: "js-track-head"
  }, timeline.map(function (tm, i) {
    return /*#__PURE__*/_react.default.createElement(TimeTick, {
      key: "".concat(tm, "-").concat(i),
      time: tm
    });
  })));
}

var _default = TracksHead;
exports.default = _default;